Products
Products Children Partial Update
Partially update an existing child product.
Authorization
oauth2 catalogue:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: catalogue:write
Path Parameters
id*integer
A unique integer value identifying this Product.
Header Parameters
X-29next-API-Version*string
Default
"2023-02-10"Value in
"2023-02-10"allow_backorders?boolean
Continue selling when out of stock.
image?|
metadata?|
prices?array<>
requires_shipping?boolean
sku?|
Stock Keeping Unit
track_stock?boolean
Track inventory quantities at fulfillment locations.
unit_cost?|
Match
^-?\d{0,10}(?:\.\d{0,2})?$Format
decimalupc?|
Universal Product Code
variant_attribute_values?array<>
Response Body
application/json
curl -X PATCH "https://example.29next.store/api/admin/products/children/0/" \
-H "X-29next-API-Version: 2023-02-10" \
-H "Authorization: Bearer " \
-H "Content-Type: application/json" \
-d '{}'{
"allow_backorders": true,
"date_created": "2019-08-24T14:15:22Z",
"date_updated": "2019-08-24T14:15:22Z",
"id": 0,
"images": "string",
"inventory_availability": "in_stock",
"metadata": {},
"prices": [
{
"currency": "string",
"price": "string",
"retail": "string",
"subscription": "string",
"subscription_suggested_downsell": "string"
}
],
"product_id": 0,
"purchase_availability": "available",
"requires_shipping": true,
"sku": "string",
"stockrecords": [
{
"id": 0,
"location_id": 0,
"low_stock_threshold": 2147483647,
"num_allocated": 0,
"num_in_stock": -2147483648,
"price": "string",
"price_currency": "string",
"price_retail": "string",
"sku": "string"
}
],
"structure": "standalone",
"title": "string",
"track_stock": true,
"unit_cost": "string",
"upc": "string",
"variant_attribute_values": [
{
"code": "string",
"name": "string",
"value": "string"
}
]
}